{% extends "base.html" %}

{% block content %}
<div id="container">
    <table class="table table-hover conversations-table">
    <thead>
        <th>Беседы</th>
    </thead>
        {% for conversation in conversations %}
            <tr>
                <td data-arg="{% url "messages" chat=conversation.title %}" class="conversation">
                    <strong>
                        {%  if conversation.is_private %}
                            {{ conversation.interlocutor }}
                        {% else %}
                            {{conversation.title}}
                        {% endif %}
                    </strong>
                    {%  if conversation.last_message %}
                        <p>{{ conversation.last_message.sender }}: {{ conversation.last_message.content }}</p>
                    {% else %}
                        <p>Нет сообщений</p>
                    {% endif %}
                </td>
            </tr>
        {% endfor %}
    </tbody>
    </table>
</div>
    <script>
    $('.conversation').click(function (event) {
        console.log($(this).attr('data-arg'));
        window.location = $(this).attr('data-arg');
    })
    </script>
{% endblock %}